function love.load()
--OTHER FUNCTIONS
	function distance(x1,y1,x2,y2)
		d = math.sqrt((x1-x2)^2+(y1-y2)^2)
		return d
	end

--PARTICLE FUNCTIONS
	function particleinit()
		par = {}
		math.randomseed(love.mouse.getX()*love.mouse.getY())
	end
	function particlemake(xinit,yinit,xvinit,yvinit,spinit,rate,side1,side2)
		count = 0
		repeat
			count = count + 1
				table.insert(par,
				{	x = xinit,
					y = yinit,
					xv = xvinit,
					yv = yvinit,
					sp = spinit,
					r = math.random(side1,side2),
					del = false	})
		until count == rate
	end
	function particleupdate(DT)
		for i, v in ipairs(par) do
			par[i].xv = par[i].xv + (math.random()- .5)*DT*par[i].sp
			par[i].yv = par[i].yv + (math.random()- .5)*DT*par[i].sp --+ 5*DT
			par[i].x = par[i].x + par[i].xv
			par[i].y = par[i].y + par[i].yv
			for j, w in ipairs(bal) do
				if distance(par[i].x,par[i].y,bal[j].x,bal[j].y) <= bal[j].r then 
					bal[j].xv = bal[j].xv + par[i].xv/(bal[j].r*3.14^2)
					bal[j].yv = bal[j].yv + par[i].yv/(bal[j].r*3.14^2)
					par[i].del = true
				end
			end
			if par[i].x >= 810 or par[i].x <= -10 or par[i].y <= -10 or par[i].y >= 610 then
				par[i].del = true
			end
			if par[i].del == true then
				table.remove(par,i)
			end
		end
		if love.keyboard.isDown("d") == true then
			par = {}
		end
	end
	function particledraw()
		for i, v in ipairs(par) do
			love.graphics.point(par[i].x, par[i].y)
			love.graphics.circle("line", par[i].x, par[i].y, 10, par[i].r)
		end
	end
--BALL FUNCTIONS
	function ballinit()
		bal = {}
	end
	function ballmake(xinit,yinit,xvinit,yvinit,radius)
		table.insert(bal,
			{	x = xinit,
				y = yinit,
				xv = xvinit,
				yv = yvinit,
				r = radius	})
	end
	function ballupdate(DT)
		for i, v in ipairs(bal) do
			bal[i].yv = bal[i].yv + DT*5
			bal[i].x = bal[i].x + bal[i].xv
			bal[i].y = bal[i].y + bal[i].yv
			if bal[i].y >= 600+bal[i].r or bal[i].x >= 800+bal[i].r or bal[i].x <= 0-bal[i].r then
				table.remove(bal,i)
			end
		end
	end
	function balldraw()
		for i, v in ipairs(bal) do
			love.graphics.circle("line", bal[i].x, bal[i].y, bal[i].r, 15)
		end
	end
----------
	particleinit()
	ballinit()
	thick = 10
	spread = 300
	speed = 40
end
function love.update(dt)
	if love.mouse.isDown("l") == true then --and mdown == false
		xvel1 = (love.mouse.getX()-800)/distance(800,600,love.mouse.getX(),love.mouse.getY())
		yvel1 = (love.mouse.getY()-600)/distance(800,600,love.mouse.getX(),love.mouse.getY())
		--xvel2 = (love.mouse.getX()-0.0)/distance(0.0,600,love.mouse.getX(),love.mouse.getY())
		--yvel2 = (love.mouse.getY()-600)/distance(0.0,600,love.mouse.getX(),love.mouse.getY())
		particlemake(800,600,xvel1*speed,yvel1*speed,spread,thick,3,6)
		--particlemake(0.0,600,xvel2*speed,yvel2*speed,spread,thick,3,6)
		--particlemake(love.mouse.getX(),love.mouse.getY(),0,0,spread,thick,1,1)
	end
	if love.keyboard.isDown(" ") == true and spacedown == false then
		ballmake(math.random(100,700),0,0,0,math.random(10,50))
	end
	if love.keyboard.isDown(" ") == true then
		spacedown = true
	else
		spacedown = false
	end
	if love.mouse.isDown("l") == true then
		mdown = true
	else
		mdown = false
	end
	particleupdate(dt)
	ballupdate(dt)
	
end
function love.draw()
	particledraw()
	balldraw()
	love.graphics.print(table.maxn(par), 10, 15)
	love.graphics.print(love.timer.getFPS(), 10, 590)
	love.graphics.print(table.maxn(bal), 10, 25)
	love.graphics.print(table.maxn(bal)*table.maxn(par), 10, 35)
	love.graphics.line(500, 600, 480, 500, 800, 600)
	love.graphics.line(300, 600, 320, 500, 0, 600)
end